<div class="mb-5 text-danger">
  {{globals.message}}
</div>
<table>
  <tr>
    <td>
      <h4>Articles available</h4>
      <ng-container *ngFor="let article of articles">
        <div class="mb-3" *ngIf="article.available > 0">
          Name: {{article.name}}<br/>
          Code: {{article.code}}<br/>
          In Stock: {{article.stock}}<br/>
          Available: {{article.available}}<br/>
          <label for="amount_{{article.code}}">Amount requested</label>
          <input id="amount_{{article.code}}" [(ngModel)]="article.amount"/><br/>
          <button class="btn-primary" (click)="place(article.code, article.amount)">Make Order</button>
        </div>
      </ng-container>
    </td>
    <td>
      <h4>My Orders</h4>
      <div class="mb-3" *ngFor="let order of orders">
        Order Code: {{order.code}}<br/>
        Article Code: {{order.articleId}}<br/>
        Amount: {{order.amount}}<br/>
        Status: {{order.status}}<br/>
        <button *ngIf="order.status == 'RESERVED'" class="btn-primary" (click)="buy(order.code)">Finalize Order</button>
      </div>
    </td>
  </tr>
</table>


<div class="mt-5">
  <button (click)="clear()" class="btn-danger">Restore Initial Data</button>
</div>
